﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using C1.WPF.C1Chart;
using System.IO;
using C1.WPF.C1Chart.Extended;
using C1.WPF.Pdf;

namespace WpfApplication1
{
    /// <summary>
    /// Window1.xaml 的交互逻辑
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        public Window1(C1Chart _c1chart)
        {
            InitializeComponent();

            // Generate Chart Image
            MemoryStream ms = new MemoryStream();
            _c1chart.SaveImage(ms, ImageFormat.Png);
            BitmapImage bi = new BitmapImage();
            bi.BeginInit();
            bi.StreamSource = ms;
            bi.EndInit();
            WriteableBitmap wBmp = new WriteableBitmap(bi);

            // create and save pdf document
            C1PdfDocument pdf = new C1PdfDocument();
            pdf.DrawImage(wBmp, new Rect(0, 0, _c1chart.ActualWidth, _c1chart.ActualHeight), ContentAlignment.TopCenter, Stretch.None);

            string fileName = "ChartImage.pdf";
            pdf.Save(fileName);
            this.c1ReportViewer1.LoadDocument(fileName);

        }

    }
}
